﻿@model ChangeDaysViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Change class days

            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
        <fieldset>
            <div class="row">
                <div class="span6">
                    <div class="row">
                        <div class="span12">
                            <div style="display:table-cell;text-align:right;font-size:14px">
                                <span class="text-bold">
                                    Desired start date:
                                </span>
                            </div>
                            <div style="display:table-cell">
                                <div class="input-control text">
                                    <label style="margin-left:10px;">{{Model.DesiredStartDate}}</label>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="span6">
                    <div class="row">
                        <div style="display:table-cell;font-size:14px">
                            <span class="text-bold">
                                Class days:
                            </span>
                        </div>
                        <div style="display:table-cell">
                            <div class="input-control text">
                                <label style="margin-left:10px;">{{Model.DaysName}}</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>
        <div class="clearfix"></div>
        <hr />
        <div class="one-half place-left">
            <label class="req-star text-bold">Effective date for new class days</label>
            <div class="input-control date-time" @Html.AngValidationClassFor(model => model.EffectiveDate)>
                <div  @Html.AngTooltipValidationFor(model => model.EffectiveDate)>
                    <input kendo-date-picker k-options="MC.datePickerOptions" ng-model="Model.EffectiveDate" />
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <hr />
        <div>
            <fieldset>
                <div class="table-responsive">
                    <table class="table table-bordered margin-top20">
                        <thead>
                            <tr>
                                <td class="text-bold">Program days</td>
                                <td class="text-bold">Select new days</td>
                            </tr>
                        </thead>
                        <tbody>
                          <tr ng-repeat="day in Model.AllProgramDays">
                              <td>{{day.Title}}</td>
                                <td>
                                    <div class="input-control checkbox" data-role="input-control">
                                        <label class="block">
                                            <input ng-model="day.IsChecked" name="instSelected" ng-value="true" type="checkbox"/>
                                            <span class="check"></span>
                                        </label>
                                    </div>
                                </td>
                               
                            </tr>
                        </tbody>
                    </table>
                </div>
            </fieldset>

        </div>
    <div class="clearfix"></div>
    <button type="button" class="link place-left large button" ui-sref="OrderItem({seasonDomain:MC.stateParams.seasonDomain,orderItemId: MC.stateParams.orderId})">Back</button>
    <button class="success place-right large button" ng-click="Save()" id="ConfirmInvoice">Save</button>

    <div class="clearfix"></div>
    </div>

